Retrieve a list of accounts
curl --request GET \
--url https://{environment}.ebury.io/accounts \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/accounts"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"account_details": [
{
"account_address": "<string>",
"account_name": "<string>",
"account_number": "<string>",
"account_number_type": "IBAN",
"bank_identifier": "<string>",
"bank_identifier_type": "<string>"
}
],
"account_id": "<string>",
"account_subtype": "EMoney",
"account_type": "Personal",
"currency": "<string>",
"status": "Enabled"
}
]{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Getting Accounts
Retrieve a list of accounts
GET
/
accounts
Retrieve a list of accounts
Get all accounts for a given client.
Authorizations
An API Key.
Query Parameters
A comma-separated list of currencies
The ID of the client
Response
Accounts retrieved
The list of AccountDetails for this currency
Show child attributes
Show child attributes
The UUID of the account
The sub-type of the account.
Available options:
EMoney The type of the account.
Available options:
Personal, Business Identification of the currency in which the account is held
The status of the account.
Available options:
Enabled, Disabled, Deleted